<template>
  <BasicModal v-bind="$attrs" :title="title" @register="registerInnerModal" :width="800">
    <template #footer>
      <div>
        <a-button type="primary">人体关键点分析</a-button>
      </div>
    </template>
    <Image :src="badPicture" style="width: 100%"></Image>
  </BasicModal>
</template>

<script setup lang="ts">
import { BasicModal, useModalInner } from "@/components/Modal";
import { Image } from "ant-design-vue";
import AMapLoader from "@amap/amap-jsapi-loader";
import { computed, ref } from "vue";

const title = computed<string>(() => {
  return "故障图片";
});
const badPicture = ref<any>("");
const [registerInnerModal, { modalLoading, closeModal }] = useModalInner(
  async (data: { url: any }) => {
    const { url } = data;
    badPicture.value = url;
    console.log(badPicture.value, "badPicture.value");
    modalLoading(true);

    modalLoading(false);
  }
);
</script>

<style scoped></style>
